section {
    width: var(--all-width);
    margin: 0 auto;
}

section img {
    height: 100%;
    position: absolute;
    top: 0;
}

section h3 {
    font-size: 28px;
    text-align: center;
    color: #48007a;
    margin-bottom: 5%;
}

.ban-top-box {
    display: flex;
    background-color: #fff;
    margin-bottom: 2%;
}

.img-box {
    position: relative;
}

.ban-top-box .text-box {
    flex: 1;
    display: flex;
    flex-direction: column;
    padding: 30px;
    justify-content: center;
    row-gap: 18px;
}

.ban-top-box .img-box {
    width: 70%;
}

.ban-top-box .img-box::before {
    content: '';
    display: block;
    padding-top: 55%;
}

.type span {
    color: #48007a;
    background-color: #48007a1a;
    font-family: "";
    padding: 3px 5px;
    text-transform: uppercase;
    font-size: 14px;
}

.ban-name {
    color: #48007a;
    font-size: 30px;
    font-weight: 700;
    width: 80%;
}

.ban-txt {
    color: #000;
    font-size: 17px;
    width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 4;
}

.ban-bot-box {
    display: flex;
    column-gap: 20px;
}

.ban-bot {
    width: 25%;
    border-radius: 10px;
    overflow: hidden;
}

.ban-bot .img-box {
    box-shadow: 0 0 10px #00000015;
}

.ban-bot .img-box::before {
    content: '';
    padding-top: 80%;
    display: block;
}

.ban-bot .text-box {
    padding: 15px;
    background-color: #fff;
    display: flex;
    flex-direction: column;
    row-gap: 15px;
}

.ban-bot .text-box .type span {
    font-size: 12px;
}

.ban-bot .text-box span:nth-child(2) {
    color: #48007a;
    font-size: 18px;
    font-weight: 700;
}

.ban-bot .text-box span:nth-child(3) {
    color: #000;
    width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 4;
}

@media (max-width:799px) {
    section {
        padding: 0 10px;
    }

    section h3 {
        font-size: 18px;
    }

    .ban-top-box {
        flex-direction: column-reverse;
        margin-bottom: 8%;
    }

    .ban-top-box .img-box {
        width: 100%;
    }

    .ban-bot-box {
        flex-wrap: wrap;
    }

    .ban-bot {
        width: 100%;
        margin-bottom: 4%;
    }

}